<template>
    <div>
        <div class="btn btn-primary" @click="newModal"><span class="glyphicon glyphicon-plus"></span></div>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Apellido Paterno</th>
                    <th>Apellido Materno</th>
                    <th>Corda</th>
                    <th>Nivel</th>
                    <th>Local</th>
                    <th>Telefono</th>
                    <th>Celular</th>
                    <th>Direccion</th>
                    <th>Distrito</th>
                    <th>Fecha de Nacimiento</th>
                    <th>Sexo</th>
                    <th>Fecha de Inicio</th>
                    <th>DNI</th>
                    <th>Profesion</th>
                    <th>Correo</th>
                    <th>Estado</th>
                    <th>Entrenador</th>
                    <th>Acciones</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="item in items">
                    <td>{{item.name}}</td>
                    <td>{{item.apepat}}</td>
                    <td>{{item.apemat}}</td> 
                    <td>{{item.corda}}</td>
                    <td>{{item.nivel}}</td>
                    <td>{{item.local_entrenamiento}}</td>
                    <td>{{item.telefono1}}</td>
                    <td>{{item.celular1}}</td>
                    <td>{{item.direccion}}</td>
                    <td>{{item.distrito}}</td>
                    <td>{{item.fec_nac}}</td>
                    <td>{{item.sexo}}</td>
                    <td>{{item.fec_ini}}</td>
                    <td>{{item.dni}}</td>
                    <td>{{item.profesion}}</td>
                    <td>{{item.email}}</td>
                    <td>{{item.status}}</td>
                    <td>{{item.entrenador}}</td>               
                    <td class="btn btn-info" @click="editModal(item)">
                        <span class="glyphicon glyphicon-pencil"></span>
                    </td>                
                    <td @click.prevent="deleteStudent(item)" class="btn btn-danger">
                        <span class="glyphicon glyphicon-trash"></span>
                    </td>
                </tr>
            </tbody>
        </table>

        <!-- Modal -->
        <div class="modal fade" id="addNew" tabindex="-1" role="dialog" aria-labelledby="addNewLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                
                    <div class="modal-header">
                        <h5 class="modal-title" v-show="!editmode" id="addNewLabel">Registrar Alumno</h5>
                        <h5 class="modal-title" v-show="editmode" id="addNewLabel">Actualizar Alumno</h5>
                    </div>
                
                    <div class="modal-body">
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.name" placeholder="Nombre" id="e_name" required  :value="this.e_name">     
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="Apellido Paterno">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apemat" placeholder="Apellido Materno">
                        </div>
                        <div class="form-group">
                            Corda: 
                            <select class="form-control" v-model="newItem.corda">
                                <option value="1">Cinza-Branco</option>
                                <option value="2">Cinza-Branco Verde Pastel</option>
                                <option value="3">Cinza-Branco Amarelo Pastel</option>
                                <option value="4">Cinza-Branco Azul Pastel</option>
                                <option value="5">Cinza</option>
                                <option value="6">Cinza-Verde</option>
                                <option value="7">Cinza-Amarelo</option>
                                <option value="8">Cinza-Azul</option>
                                <option value="9">Cinza-Verde-Amarelo</option>
                                <option value="10">Cinza-Verde Azul</option>
                                <option value="11">Cinza-Amarelo Azul</option>
                                <option value="12">Cinza-Verde Amarelo-Azul</option>
                                <option value="13">Verde</option>
                                <option value="14">Amarelo</option>
                                <option value="15">Azul</option>
                                <option value="16">Verde-Amarelo</option>
                                <option value="17">Verde-Azul</option>
                                <option value="18">Amarelo-Azul</option>
                                <option value="19">Verde-Amarelo-Azul</option>
                                <option value="20">Verde-Branco</option>
                                <option value="21">Amarelo-Branco</option>
                                <option value="22">Azul-Branco</option>
                                <option value="23">Vermelho</option>
                                <option value="24">Branco</option>
                                <option value="25">Verde-Amarelo-Azul-Branco</option>
                            </select>
                        </div>
                        <div class="form-group">
                            Locca:
                            <select class="form-control" v-model="newItem.local">
                                <option value="1">San Juan de Lurigancho</option>
                                <option value="2">San Miguel</option>
                                <option value="3">Rimac</option>
                                <option value="4">San Isidro</option>
                                <option value="5">Callao</option>
                                <option value="6">Pueblo Libre</option>
                                <option value="7">Los Olivos</option>
                                <option value="8">Universidad Nacional de Ingenieria</option>
                                <option value="9">Universidad Nacional del Callao</option>
                                <option value="10">Universidad Catolica Sedes Sapientiae</option>
                                <option value="11">Universidad Cesar Vallejo</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.telefono1" placeholder="Telefono">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.telefono2" placeholder="Telefono Adicional">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.movil1" placeholder="Celular">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.movil2" placeholder="Celular Adicional">
                        </div><div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="Distrito">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="Direccion">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="Fecha de Nacimiento">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="Genero">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="Fecha de Inicio">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="DNI">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="Profesion">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="Correo">
                        </div>
                        <div class="form-group">
                            <input type="text" class="form-control" v-model="newItem.apepat" placeholder="Entrenador">
                        </div>
                    </div>
                
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Cerrar</button>                        
                        <button class="btn btn-success" @click.prevent="updateStudent()" v-show="editmode" >Actualizar</button>
                        <button class="btn btn-primary" @click.prevent="createStudent()" v-show="!editmode"  data-dismiss="modal">Registrar</button>                                        
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
    export default {
        data (){
            return {
                editmode: false,
                items: [],
                newItem: { 'name': ''},
                e_id: '',
                e_name: '',
            }
        },
        mounted: function mounted() {
            this.readStudent();
        },
        methods: {
            readStudent: function readStudent() {
                var _this = this;
                axios.get('/readStudent').then(function (response) {
                    _this.items = response.data;
                });
            },
            deleteStudent: function deleteStudent(item) {
                var _this = this;
                axios.post('/deleteStudent/' + item.id).then(function (response) {
                    _this.readStudent();
                });
            },
            createStudent: function createStudent() {               
                var input = this.newItem;
                var _this = this;
                axios.post('/createStudent', input).then(function (response){
                    _this.newItem = {'name': ''}
                    _this.readStudent();                    
                });
            },
            updateStudent: function updateStudent() {               
                var input = this.newItem;
                var _this = this;
                axios.post('/updateStudent', input).then(function (response){
                    console.log(response)
                    _this.newItem = {'name': ''}
                    _this.readStudent();
                });
            },
            newModal(){
                this.editmode = false;
                $('#addNew').modal('show');
            },
            editModal(student){               
                this.editmode = true;
                $('#addNew').modal('show');
                axios.post('/setValues/' + student.id).then(function (response){
                    console.log(response)
                    this.e_name = response.data;
                });
            },
        }
    }    
</script>